Cyberduck Mountain Duck CLI

#5571 closed defect (fixed)

ACLs getting dropped when updating metadata

Reported by: jabeler Owned by: dkocher
Priority: high Milestone: 4.0
Component: s3 Version: 3.8.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Updating or removing metadata causes all ACLs (other than owner/full control) to be removed.

Change History (10)

comment:1 Changed on Dec 16, 2010 at 7:50:01 AM by dkocher

  • Milestone set to 4.0
  • Priority changed from normal to high
  • Status changed from new to assigned

comment:2 Changed on Dec 16, 2010 at 8:01:13 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8086.

comment:3 follow-up: Changed on Dec 22, 2010 at 3:35:06 PM by jabeler

  • Resolution fixed deleted
  • Status changed from closed to reopened

This issue is still present in the latest 8111 build. Strangely it doesn't happen with every metadata change, but more often than not the ACLs still get dropped completely.

comment:4 in reply to: ↑ 3 Changed on Dec 22, 2010 at 3:46:51 PM by dkocher

Replying to jabeler:

This issue is still present in the latest 8111 build. Strangely it doesn't happen with every metadata change, but more often than not the ACLs still get dropped completely.

I cannot replicate this. Can you give me the exact steps and preconditions to follow that the ACL is still dropped.

comment:5 follow-up: Changed on Dec 22, 2010 at 3:57:56 PM by jabeler

I did a bit more digging, and it seems to only happen when updating metadata for multiple files. Doing this drops the ACLs every time.

comment:6 in reply to: ↑ 5 Changed on Dec 22, 2010 at 4:15:43 PM by dkocher

Replying to jabeler:

I did a bit more digging, and it seems to only happen when updating metadata for multiple files. Doing this drops the ACLs every time.

I tried my best editing adding, editing and removing the metadata of multiple files but cannot see any changes to the ACLs.

comment:7 Changed on Dec 22, 2010 at 4:38:33 PM by jabeler

Here's what I did to replicate the issue.

  1. Upload 4 files to a public bucket. File names: CF, CF2, CF3, CF4 (no file extensions). (After upload files will have default info of a metadata tag 'Content-type' equal to 'application/octet-stream' and ACLs of full control for myself and read permissions for everyone)
  1. Highlight all 4 files, and add a meta tag of 'Expires' equal to 'Sat, 15 Jan 2029 03:35:01 MST'
  1. The metadata tag will be updated, and all ACLs removed.

comment:8 follow-up: Changed on Dec 22, 2010 at 4:44:03 PM by jabeler

Another thing I noticed which may be relevant.

If you view the files' ACLs pane (in info window) BEFORE changing the metadata the ACLs do not get dropped. However, if you select the metadata pane, highlight the files and change the metadata the ACLs get dropped.

comment:9 in reply to: ↑ 8 Changed on Dec 22, 2010 at 6:30:16 PM by dkocher

Replying to jabeler:

Another thing I noticed which may be relevant.

If you view the files' ACLs pane (in info window) BEFORE changing the metadata the ACLs do not get dropped. However, if you select the metadata pane, highlight the files and change the metadata the ACLs get dropped.

Thanks for hunting this down! Sure, that makes the difference.

comment:10 Changed on Dec 22, 2010 at 7:41:35 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Revised patch in r8143.

Note: See TracTickets for help on using tickets.
swiss made software